@echo off
echo.
echo.

if "%1"=="" goto :error
if "%2"=="" goto :error
if "%3"=="" goto :error

del %2%3~ 1>nul 2>nul

copy %1 %2%3 2>nul
if not errorlevel 1 goto :end

ren %2%3 %3~ 2>nul
copy %1 %2%3
if not errorlevel 1 goto :end

echo.
echo *** ERROR ***
echo failed to copy %1 into %2%3
goto :end

:error
cls
echo.
echo This batch file is used to manually update an HTTP server's script DLL. It is
echo used when the .PRG source is *not* included on a production server. In this case, 
echo the .PRG is debugged and compiled on a development machine and then the final 
echo DLL is moved into production manually. 
echo.
echo There is no need to stop the HTTP server in order to update a DLL. The new DLL 
echo will be automatically loaded into memory the next time it is accessed by a client.
echo.
echo usage:
echo.
echo    COPYDLL source dest name
echo. 
echo where:
echo.
echo    source = source DLL file including path (this is the new DLL).
echo    dest   = destination folder where the new DLL will be installed (ending with "\")
echo    name   = the DLL file name for the destination
echo.
echo example:
echo. 
echo    COPYDLL e:\test\www_root\hello.dll  x:\live\www_root\  hello.dll

:end
echo.
