***********************
* TIMECLOCK_RAUKN.PRG *
***********************
* Tu s funkcie z TIMECLOCK.PRG ale upraven pre RAUKN prihlasovanie at.

* !!! Pozor, prklad z Xb2NET je pre Employee, ale ja potrebujem mj DBESYS
* tento musm nastavi v WEBSERVE

* pravy :
* Login upraven do Login_Raukn
* Logout treba tie upravi do Logout_Raukn, aby zatvrala moje databzy
* Logintest toto som skal treba preveri kde o pouvam, asi iba v prkladoch v Index hlavnej strnke

* Popis funkci :
* Header_Raukn - je hlavn horn menu


#include "xb2net.ch"
#include "common.ch"
#pragma  library ("xb2net.lib")

#xtranslate NTrim(<n>)        =>  LTrim(Str(<n>))

//#xtranslate Debug([<p,...>])  =>  QOut(<p>)
#xtranslate Debug([<p,...>])  =>

// security levels:
#define SEC_NONE          0
#define SEC_EMPLOYEE      1
#define SEC_SUPERVISOR    2
#define SEC_ADMIN         3


#xtranslate GETVAR <(name)> AS <var>     => Local <var> := oClient:GetVar(<(name)>)
#xtranslate GETCARGO <(name)> AS <var>   => Local <var> := oClient:GetCargo(<(name)>)
#xtranslate GETCOOKIE <(name)> AS <var>  => Local <var> := oClient:GetCookie(<(name)>)

#command WEBPROCEDURE <name>([<param,...>])         ;
         [VAR <(fname)> AS <fvar>]                  ;
         [COOKIE <(cname)> AS <cvar>]               ;
         [CARGO <(sname)> AS <svar>]                ;
            => PROCEDURE WEB_<name>(<param>)        ;
               ; Local oClient := ThreadObject()    ;
               [; GETVAR <(fname)> AS <fvar>]       ;
               [; GETCOOKIE <(cname)> AS <cvar>]    ;
               [; GETCARGO <(sname)> AS <svar>]

#command WEBPROCEDURE <name>([<param,...>])         ;
         PATH <path>                                ;
         [VAR <(fname)> AS <fvar>]                  ;
         [COOKIE <(cname)> AS <cvar>]               ;
         [CARGO <(sname)> AS <svar>]                ;
            => PROCEDURE WEB_<path>_<name>(<param>) ;
               ; Local oClient := ThreadObject()    ;
               [; GETVAR <(fname)> AS <fvar>]       ;
               [; GETCOOKIE <(cname)> AS <cvar>]    ;
               [; GETCARGO <(sname)> AS <svar>]

#command CHECKLOGIN ;
         => if ! isLoggedIn_Raukn() ;
         ;     return ;
         ;  endif

#command CHECKLOGIN SECURITY [<nSecLevel>] ;
         => if ! isLoggedIn_Raukn() .or. ! HaveSecurityPrivilege(<nSecLevel>) ;
         ;     return ;
         ;  endif


*qqq 24.9.2018 skka prihlsenia do Raukn, 
*               cez webserver
//-----------------------------------------------------------------------------
*****************************
WEBPROC Login_Raukn() PATH TC	// LoginRaukn je v Login_my na skku volan
*****************************
   GETVAR UID AS cUID
   GETVAR PWD AS cPWD
   Local lUpdate  := .t.
   Local cMessage := ""
   Local oServer  := oClient:Parent  // this is the xbHTTPServer object
   Local nID

   oClient:CloseSession()

   debug( "TC_Login 1: SID", oClient:GetSessionHandle(), "# Sess", xbSession():ActiveSessions(), "CARGO", oClient:GetCargo())

* ak nezadan iadny kd, tak znova ponkne login
   if Empty(cUID)
      // no user ID specified - redisplay login screen
      oClient:SendFile( oServer:RootDir + "\TC\Login_Raukn.htm" )
      Return
   endif

* predvolenie ciest, toto mus urobi NASTAV() z Raukn
* ale nateraz som dal IKUSERS do adresra DATA
PUBLIC cestadata	// tu dvam aby som vedel aj inde poui
cestahlprg:="d:\progsa\rauknw\"
cestaciselnik:=cestahlprg+"ciselnik\"
cestadata:="c:\#VYVOJ\Xb2NET_MOJE\data\"

* otvorenie databzy, Opendbf je v TimeClock funkcia, treba upravi, preloi chybov hlsenie
* syntax databza, alias, index
* OpenDBF( "EMPLOYEE", "EMP", "EMPLOYEE")

* POZOR , tu na DBE, ktor pouijem,pre RAUKN musm FOXCDX , ale pre XB2 demo je DBFCDX, vi v WEBSERVE.PRG
* tam som doplnil svoj DBESYS a pvodn demo som zablokoval

* Funkcia OpenDBF (databzov sbor, alias, indexov sbor !, tj. nie index.k)
* priom databzy s tu zatia : c:\#VYVOJ\Xb2NET_MOJE\data\
*  OpenDBF( "IKUSERS", "IKUSR", "IKUSERS")
*  OpenDBF( cestaciselnik+"IKUSERS", "IKUSERS", cestaciselnik+"IKUSERS")
   OpenDBF( cestadata+"IKUSERS", "IKUSR", cestadata+"IKUSERS")

* tu sa alej nedostanem, musim poriei vea vec vrtane kryptovania, eXpress prilinkovania at.

* tu uprav kd uvatea na slo, ale ak mm v Raukn povolen aj znakov pole, tak musm prispsobi
* blokujem konverziu na Val, lebo kd uvatea mm v databze Char.
*  nID := Val(cUID)
   nID := alltrim(cUID)	// ale iba ho upravm

* kontrola sprvnosti hesla, tu musm riei kryptovanie ktor mm pouit

* ak nesprvne heslo tak preru 

* tu iba pokusne zablokujem, aby som sa dostal do alieho "levelu"
/*
   * ak nesprvne heslo ? 
   if !(DbSeek(nID, .f.) .and. Upper(Trim(emp->password)) == Upper(Trim(cPWD)))
      // invalid userid/password - go back to login screen
      dbCLoseAll()
      oClient:SendFile( oServer:RootDir + "\TC\Login_Raukn.htm" )
      Return
   else

   endif
*/

* tu sksim iba pretestova kd uvatea ale neviem, ako funguje DbSeek ak order  nenastaven ?
*qqq 2.11.2018 tu dopam order, lebo v pvodnom prklade bol iba jeden index key, ja mm dva
set order to 1
* ak nenaiel takho uvatea
if !(DbSeek(nID, .f.))
	tone(200,5)
	// invalid userid/password - go back to login screen
      	dbCLoseAll()
      	oClient:SendFile( oServer:RootDir + "\TC\Login_Raukn.htm" )
      	Return
*ak naiel uvatea
else
	tone(1000,3)
endif
*

   // we have a valid userid/password

   // make sure any previous session is properly closed
   oClient:CloseSession()

   // the GetCargo/SetCargo methods will automatically open a new session to keep track of this guy

   if oClient:GetCargo("UID") != NIL
      if oClient:GetCargo("UID") == nID
         // same guy, don't update login count in password table
         lUpdate := .f.
      else
         // this client was previously logged in under a different userid
         // close the old session
         oClient:CloseSession()
      endif
   endif

* tu asi ulom do premennch hodnoty UID,...
* ??? oje SetCargo asi uklad hodnoty do premennch
*  oClient:SetCargo("UID"       , nID)
*  oClient:SetCargo("NAME"      , AllTrim(emp->MName + " " + Trim(emp->FName) + " " + emp->LName))
*  oClient:SetCargo("SECURITY"  , emp->security)  // save the security level, tu je numeric 1
*  oClient:SetCargo("EXCEPTIONS", emp->(GetExceptions()))

* tu natam hodnoty pol asi do premennch, ktor viem potom poui
   oClient:SetCargo("UID"       , nID)	//	 prihlasovac kd
   oClient:SetCargo("NAME"      ,AllTrim(Trim(IKUSR->USR_TIT)+" "+Trim(IKUSR->USR_MENO)+" "+Trim(IKUSR->USR_PRI)))	// meno uvatea cel komplet s titulom...
*  oClient:SetCargo("SECURITY"  , 1)	// predvolm 1, lebo zatia nevyuvam
   oClient:SetCargo("SECURITY"  , 3)	// predvolm 3 aby som videl aj ADMIN menu funkcie
   oClient:SetCargo("EXCEPTIONS", "")	// tu napr. nejak kontrola ak napr. sa posledne neodhlsil a pod. predvoujem przdny znak

* tu u vyhodnocuje ale ja toto tu nepotrebujem preto iba predvolm hodnoty premennch pre SetCargo
/*
   if emp->DATE_IN == date()
      oClient:SetCargo("CLOCKIN" , emp->time_in)
   endif

   if emp->DATE_OUT == date() .and. emp->time_out >= emp->time_in
      oClient:SetCargo("CLOCKOUT", emp->time_out)
   endif
*/
* iba aby som naplnil premenn pre Cargo
      oClient:SetCargo("CLOCKIN" , "")	// neviem ak hodnotu tu mm da v akom formte sksim przdnu
      oClient:SetCargo("CLOCKOUT", "")

* tu je samotn zpis do databzy, toto zatia zablokujem
/* ale blokujem, aby ni do databzy nezapisoval, neskr mem poui napr. pre zpis ak sa uvate prihlsi
   // update the login count if user was not already logged in
   if lUpdate .and. dbRLock()
      emp->nLogins   := emp->nLogins + 1
      emp->LogInDate := date()
      emp->LogInTime := time()
   endif
*/

* zatvorenie databzy
   dbCLoseAll()

   debug( "TC_Login 2: SID", oClient:GetSessionHandle(), "# Sess", xbSession():ActiveSessions(), "CARGO", oClient:GetCargo())

* tu vol funkciu DrawOuterFrame resp. DrawOuterFrameRaukn 
* ktor u generuje samotn HTML web strnky,kde u je menu at.
   // attach the response string to the HTTP response object
   oClient:HTTPResponse:Content := DrawOuterFrame_Raukn( oClient:GetSessionHandle() )

tone(1000,3)

Return

* tto funkciu musm upravi pre IKUSERS... ale tto funkcia sa vol iba ak u zo samotnej aplikcie LOGOUT tlatko
//-----------------------------------------------------------------------------
// Close session and exit TimeClock app. Client browser is taken back to Login screen.
//
WEBPROC Logout_Raukn() PATH TC
   GETVAR UID AS nID				// tu asi preto neulo do nID, lebo mm zle v Login nzov Login a nie Login_Raukn sksi

*qqq 11.11.2018 tu sksim a da GETVAR pre zistenie vybranho k.u.
*GETVAR RCTRL AS cRCTRL
*cCISKU:=cRCTRL
*GETVAR OKRES AS cOKRES

*qqq 12.11.2018 tu sksim i neviem zisti hodnotu RCTRL
*Local pomRCTRL:=oClient:GetCargo("RCTRL")
*cCISKU:=pomRCTRL
*Local pomOKRES:=oClient:GetCargo("OKRES")

* tu skam zisti UID cez GetCargo , a potom poui vo flashmessage, ok funguje ale neviem preo nie je v nID ?
* mono preto e v Login_Raukn htm mm nzov login a nezmenil som na login_raukn ? i ?
Local pomUID:=oClient:GetCargo("UID")

*qqq 12.11.2018 tu skam nejak uloi hodnotu
*cCISKU:=oClient:Getvar("RCTRL")

   oClient:CloseSession()

* tu upravi aby zatvral moju databzu IKUSERS
   OpenDBF( "EMPLOYEE", "EMP", "EMPLOYEE")

* tu naprklad zape dtum a as logoutu, 
   if DbSeek(nID) .and. dbRLock()
      emp->LogOutDate := date()
      emp->LogOutTime := time()
   endif

   dbCLoseAll()

   * zobrazenie okienka s oznamom, pozor, ak dm za sebou viac flashmessage, iba posledn text bude vidno, lebo sa vykonaj za sebou a potom
   * ostane okienko 2 sekundy delay na obrazovke, teda iba raz mem poui tu v takomto volan

*  FlashMessage( "You are now logged out...", "/", 2)				// pvodn oznam
*  FlashMessage( "Logout_Raukn-Odhlsili ste sa z aplikcie RAUKN...", "/", 2)		// prava pre Raukn
   FlashMessage( "Logout_Raukn-Odhlsili ste sa z aplikcie RAUKN..."+pomUID, "/", 2)	// tu skam zobrazi pomUID, zisten cez GetCargo , funguje
*  FlashMessage( "Logout_Raukn-Odhlsili ste sa z aplikcie RAUKN..."+nID, "/", 2)		// tu skam zobrazi pomUID, zisten cez GetCargo , !!! NEfunguje, wrong data type
*  FlashMessage( "Logout_Raukn-Odhlsili ste sa z aplikcie RAUKN..."+var2char(nID), "/", 2)	// tu skam zobrazi pomUID, zisten cez GetCargo a upraven cez Var2char, !!! NEfunguje, nID je NIL
*  FlashMessage( "Logout_Raukn-Odhlsili ste sa z aplikcie RAUKN..."+var2char(pomnID), "/", 2)	// tu skam zobrazi pomUID, zisten cez GetCargo a upraven cez Var2char, !!! NEfunguje, nID je NIL ani ke ulom pred Closesession
*  FlashMessage( pomnID, "/", 2)							// tu skam zobrazi pomUID, zisten cez GetCargo a upraven cez Var2char, !!! NEfunguje, nID je NIL ani ke ulom pred Closesession
*  FlashMessage( "Logout_Raukn-Odhlsili ste sa z aplikcie RAUKN..."+pomnID, "/", 2)		// tu skam zobrazi pomUID, zisten cez GetCargo a upraven cez Var2char, !!! NEfunguje, nID je NIL ani ke ulom pred Closesession
*  FlashMessage( "Logout_Raukn-Odhlsili ste sa z aplikcie RAUKN..."+pomOKRES, "/", 2)		// nefunguje, neviem zisti OKRES z predch.strnky
*  FlashMessage( "Logout_Raukn-Odhlsili ste sa z aplikcie RAUKN..."+cCISKU, "/", 2)
*  FlashMessage( "Logout_Raukn-Odhlsili ste sa z aplikcie RAUKN..."+pomRCTRL, "/", 2)

   debug( "TC_Logout: SID", oClient:GetSessionHandle(), "# Sess", xbSession():ActiveSessions(), "CARGO", oClient:GetCargo())

   Return

*qqq 12.11.2018 toto je funkcia,ktor iba pokusne sksim na zistenie vybranho kat.zemia
//-----------------------------------------------------------------------------
// Close session and exit TimeClock app. Client browser is taken back to Login screen.
//
WEBPROC Logout_Raukn_ku() PATH TC
   GETVAR UID AS nID
   GETVAR RCTRL AS cRCTRL
   GETVAR OKRES AS cOKRES

*qqq 11.11.2018 tu sksim a da GETVAR pre zistenie vybranho k.u.
*GETVAR RCTRL AS cRCTRL
*cCISKU:=cRCTRL
*GETVAR OKRES AS cOKRES

*qqq 12.11.2018 tu sksim i neviem zisti hodnotu RCTRL
*Local pomRCTRL:=oClient:GetCargo("RCTRL")
*cCISKU:=pomRCTRL
*Local pomOKRES:=oClient:GetCargo("OKRES")

* tu skam zisti UID cez GetCargo , a potom poui vo flashmessage, ok funguje ale neviem preo nie je v nID ?
Local pomUID:=oClient:GetCargo("UID")
Local pomRCTRL:=oClient:GetCargo("RCTRL")
Local pomOKRES:=oClient:GetCargo("OKRES")

if empty(pomUID)
	pomUID:="nezisten"
endif
if empty(pomRCTRL)
	pomRCTRL:="nezisten"
endif
if empty(pomOKRES)
	pomOKRES:="nezisten"
endif


*qqq 12.11.2018 tu skam nejak uloi hodnotu
*cCISKU:=oClient:Getvar("RCTRL")

   oClient:CloseSession()

* tu upravi aby zatvral moju databzu IKUSERS
  OpenDBF( "EMPLOYEE", "EMP", "EMPLOYEE")

* tu naprklad zape dtum a as logoutu, 
  if DbSeek(nID) .and. dbRLock()
     emp->LogOutDate := date()
     emp->LogOutTime := time()
   endif

   dbCLoseAll()

   * zobrazenie okienka s oznamom, pozor, ak dm za sebou viac flashmessage, iba posledn text bude vidno, lebo sa vykonaj za sebou a potom
   * ostane okienko 2 sekundy delay na obrazovke, teda iba raz mem poui tu v takomto volan

*  FlashMessage( "You are now logged out...", "/", 2)				// pvodn oznam
*  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN...", "/", 2)		// prava pre Raukn
*  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN..."+pomUID, "/", 2)	// tu skam zobrazi pomUID, zisten cez GetCargo , funguje
*  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN..."+pomRCTRL, "/", 2)	// tu skam zobrazi pomUID, zisten cez GetCargo , funguje
  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN..."+pomOKRES, "/", 2)	// tu skam zobrazi pomUID, zisten cez GetCargo , funguje
*  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN..."+nID, "/", 2)		// tu skam zobrazi pomUID, zisten cez GetCargo , !!! NEfunguje, wrong data type
*  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN..."+var2char(nID), "/", 2)	// tu skam zobrazi pomUID, zisten cez GetCargo a upraven cez Var2char, !!! NEfunguje, nID je NIL
*  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN..."+var2char(pomnID), "/", 2)	// tu skam zobrazi pomUID, zisten cez GetCargo a upraven cez Var2char, !!! NEfunguje, nID je NIL ani ke ulom pred Closesession
*  FlashMessage( pomnID, "/", 2)							// tu skam zobrazi pomUID, zisten cez GetCargo a upraven cez Var2char, !!! NEfunguje, nID je NIL ani ke ulom pred Closesession
*  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN..."+pomnID, "/", 2)		// tu skam zobrazi pomUID, zisten cez GetCargo a upraven cez Var2char, !!! NEfunguje, nID je NIL ani ke ulom pred Closesession
*  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN..."+pomOKRES, "/", 2)		// nefunguje, neviem zisti OKRES z predch.strnky
*  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN..."+cCISKU, "/", 2)
*  FlashMessage( "Logout_Raukn_ku-Odhlsili ste sa z aplikcie RAUKN..."+pomRCTRL, "/", 2)

   debug( "TC_Logout: SID", oClient:GetSessionHandle(), "# Sess", xbSession():ActiveSessions(), "CARGO", oClient:GetCargo())

   Return

* toto je u funkcia ktor 
//-----------------------------------------------------------------------------
// After a user successfully logs in, this function will draw the outer frameset
// for the TimeClock app. This frameset contains a small 'header' frame along the
// top for common hyperlink shortcuts and a 'main' frame where the TimeClock app
// will be drawn.
//
// Although we can use client-side "cookies" to perform session management automatically.
// This will fail when a client has cookie support turned off. To make it work for all
// cases we need to pass the unique session handle within each URL hyperlink pointing
// back to the server.
//

* FUNKCIA PRE VYTVORENIE ZKLADNHO FRAME - prava pre RAUKN
************************************************************
* vytvra zkladn strnku a potom vol Header_Raukn a TimeClock_Raukn
*
STATIC FUNCTION DrawOuterFrame_Raukn( cSessionHandle )

   Static cTemplate

   *asi ak ete nie je vytvoren
   if cTemplate == NIL

      *vygenerovanie zkladnho frame, tj. zkladnej asi strnky

      TEXT INTO cTemplate TRIMMED
      <!doctype html public "-//w3c//dtd html 4.0 frameset//en">
      <html>

      <head>
        <title>TimeClock_Raukn</title>
        <meta name=viewport content="width=device-width, initial-scale=1">
        <link rel="stylesheet" media="screen" type="text/css" href="/style.css">
        <style type="text/css">
        body {margin:0;}

        #red {position:absolute;
              top:0; left:0;
              width:100%;
              background-color:#f30;}
        </style>
        </head>

      <frameset rows="26,*" frameborder=no border=0>
        <frame name=header src=Header_Raukn?<%sid%> marginwidth=0 marginheight=0 frameborder=no scrolling=no noresize>
        <frame name=main   src=TimeClock_Raukn?<%sid%> marginwidth=0 marginheight=0 frameborder=no scrolling=auto>
        </frameset>

      <noframes>
        <body>
        <div id="red"></div>
        <center>
        <br><br><br>
        This page uses frames.<br>
        Your browser either does not support frames or you have turned frame support off.<p>
        <b><a href="TimeClock?" target="_top">click here to continue without frames</a></b>
        </center>
        </body>
        </noframes>

      </html>
      ENDTEXT
   endif

   Return StrTran(cTemplate, "<%sid%>", "_SID=" + cSessionHandle)

* toto asi iba upozornenia, ak v prklade sa neprihlsi alebo neodhlsi z dochdzky
//-----------------------------------------------------------------------------
STATIC FUNCTION GetExceptions()

   if field->date_in < date() .and. field->date_out < field->date_in
      Return "<b>* NOTE *</b><p>You forgot to clock out on " + dtoc(field->date_in)
   endif

   if field->date_out < date() .and. field->date_out > field->date_in
      Return "<b>* NOTE *</b><p>You forgot to clock in on " + dtoc(field->date_out)
   endif

   if field->date_out = date() .and. field->date_in < date()
      Return "<b>* NOTE *</b><p>You forgot to clock in today!"
   endif

   Return ""


* toto asi vade musm upravi poda seba 
//----------------------------------------------------------------------------------------------------
STATIC FUNCTION OpenDBF( cFile, cAlias, cIndex )
   Local i := 0

   DEFAULT cAlias TO cFile

   for i := 1 to 10   // try for a max 5 sec
      if cIndex == NIL
         use (cFile) alias (cAlias) shared new
      else
         use (cFile) alias (cAlias) index (cIndex) shared new
      endif
      if ! NetErr()
         Return .t.
      endif
      sleep( 50 )
   next

   dbCLoseAll()
   Break( "Neviem otvori databzov sbor " + cFile)       // this will cause an error to be returned to the client
   Return .f.

* toto je ovldanie, tj. texty nies nzvy poloiek ale vybran akcie, tj. nzvy funkci
//-----------------------------------------------------------------------------
WEBPROC TimeClock_Raukn() PATH TC
   GETCARGO UID    AS nID
   GETVAR   ACTION AS cAction

   Local cTime, cFilter, cDate, aParam

   debug( "TimeClock: SID", oClient:GetSessionHandle(), "# Sess", xbSession():ActiveSessions(), "CARGO", oClient:GetCargo())

   CHECKLOGIN

   Debug("Action:", cAction, oClient:GetCargo())

   DEFAULT cAction TO ""

* pvodn rieenie
*  cAction := Upper(cAction)

* skam pravu do textu bez diakritiky, ale niekde sa d nastavi kdov strnka pre HTML...
   cAction := Upper(lat_ibm_u_o(cAction))

* pozor, toto nie s texty menu zobrazovan v ponuke ale ovldanie cez cAction
* priom asi ACTION odovzdva internetov prehliada Webserveru ako hodnotu ACTION
* pre do case, tj. mus by zhoda v tom o je pre prehliada v HTML a tu 


* Tu u vber voby funkcie, ktor alej odkazuj na ? o 
* tu zatia tri verzie, pvodn, bez diakritiky a sdiakritikou, ktor musm inak oetri cez LAT_IBM
do case
*******

* zadanie prchodu
******************
* case cAction == "CLOCK IN"
* case cAction == "PRCHOD"
* case cAction == Upper(lat_ibm_u_o("PRCHOD"))	// ak ani tak nepjde tu sksi da text bez diakritiky
  case cAction == "PRICHOD"			// ak ani tak nepjde tak tu sksi da text bez diakritiky

      cTime := SaveTimeClock( nID, 1 )		// zavol funkciu SaveTimeClock, ktor prid do databzy as prchodu
      oClient:SetCargo("CLOCKIN", cTime)	// ulo hodnotu do session ? funkcia Xbase++ ale pozor, pe e iba Proffesional ?
						// CLOCKIN sa alej d poui asi na zobrazenie na web strnke 
* zadanie odchodu
*****************
*  case cAction == "CLOCK OUT"
   case cAction == "ODCHOD"

      cTime := SaveTimeClock( nID, 2 )
      oClient:SetCargo("CLOCKOUT", cTime)	// ako vyie, 
      // display timeclock page for 5 seconds, then logout user
      oClient:HTTPResponse:Refresh("5; URL=Logout?_SID=" + oClient:GetSessionHandle())	// toto neviem o rob ?

* zruenie poslednho prchodu
******************************
*  case cAction == "CANCEL LAST CLOCK IN"
*  case cAction == "ZRU POSLEDN IN"
   case cAction == "ZRUS POSLEDNY IN"

      cTime := SaveTimeClock( nID, 3 )	// ako vyie
      oClient:SetCargo("CLOCKIN", "")

* zruenie poslednho odchodu
******************************
*  case cAction == "CANCEL LAST CLOCK OUT"
*  case cAction == "ZRU POSLEDN OUT"
   case cAction == "ZRUS POSLEDNY OUT"

      cTime := SaveTimeClock( nID, 4 )	// ako vyie
      oClient:SetCargo("CLOCKOUT", "")


* zmena hesla
**************
*  case cAction == "CHANGE PASSWORD"
   case cAction == "ZMENA HESLA"

      WEB_TC_ChangePasswordForm()	// vola funkciu ktor zobraz znova web okno a alej ete vol ChangePassword
      Return

* zobrazenie pracovnho tda, v browse tabuke
************************************************
*  case cAction == "VIEW WORK WEEK"
*  case cAction == "POZRI PRACOVN TݎDE"
   case cAction == "POZRI PRACOVNY TYZDEN"

      * nastavenie dtumu, aby zobrazilo iba aktulny tde 	
      cDate := dtos(Date() - DoW(Date()) + 1)  // date of start of week

*pozn. tu u prklad havaruje, lebo nemm hodnoty asi Date_in at. z mojej IKUSERS databzy a chcem otvori zase in databzu
* toto prispsobi pre moju databzu ,napr. RAUKN_OLP
      * nastavenie filtra aby asi zobrazilo iba daje prihlsenho uvatea ?
      cFilter := "{||field->ID=" + NTrim(nID) + ".and.(dtos(field->date_in)>='" + cDate + "'.or.dtos(field->date_out)>='" + cDate +"')}"

      * tu u vygenerovanie array tj. poa, ktor odovzd funcii BrowseTable
      //aParam := {"TCLOCK", "ID", Str()"Work Week", nil, &(cFilter) }
      aParam := {"TCLOCK", "ID", Str(nID,10), Str(nID,10), "Work Week for: " + oClient:GetCargo("NAME"), nil, &(cFilter)}

      * zobrazenie tabuky v browseri, 	
      WEB_TC_BrowseTable( xbBase64Encode(var2char(aParam)) )	// vola Browsetable s parametrami hlaviky tabuky
								// tto potom alej vol DrawTableGrid
								// tu iba jednoduch otvorenie cez USE, ale ja musm aj index at, 
								// relcie riei, prpadne SQL, take DrawTableGrid musm prispsobi
* skka browsera selnka kat.zem
*******************************************
    case cAction == "VYBER KATASTRALNE UZEMIE"
		
		cFilter  := "{||NIL}"	// nezapnam iadny filter
		aParam := {cestadata+"RKU807", "CISKU", 800490, 836915, "Katastrlne zemia : ", NIL, NIL}
		* tu odovzdvam parametre : 
		*	   cTable   := aParam[1] - nzov databzy	
		*	   xTag     := aParam[2] - order, napr. CISKU, NAZOV
		*	   xTopScope:= aParam[3] - scope ak napr. chcem cez scope filtrova alebo napr. od 800490 do 836915
		*	   xBotScope:= aParam[4] - dtto
		*	   cHeading := aParam[5] - hlavika tabuky browsera  
		*	   aFields  := aParam[6] - polia, ak przdne, tak vyberie vetky polia
		*	   bFilter  := aParam[7] - filtrovanie, toto nepouva ak nemusm, lebo filter je pomal
				
      * zobrazenie tabuky v browseri, 	 tto funkcia by mala by univerzlna
      WEB_TC_BrowseTable( xbBase64Encode(var2char(aParam)) )	// vola Browsetable s parametrami hlaviky tabuky
									// tto potom alej vol DrawTableGrid
									// tu iba jednoduch otvorenie cez USE, ale ja musm aj index at, 
									// relcie riei, prpadne SQL, take DrawTableGrid musm prispsobi

* tu sko hne, tj. ete pred zobrazenm samotnho browsera tj. browser sa zobraz a
* po return niekde alej

      Return

* odhlsenie
*************
*  case cAction == "EXIT"
   case cAction == "KONIEC"

      WEB_TC_Logout()	// tu zatv
      Return

* koniec case
endcase
***********

* ak vyie nevolan in funkcia tak asi aktualizcia tak zobrazenie html okna a aktualizcia hodnt NAME, CLOCKIN,...
* tj vola BuildTimeClockPage_Raukn
   oClient:HTTPResponse:Content := BuildTimeClockPage_Raukn(;
                                       oClient:GetCargo("NAME"), ;
                                       oClient:GetCargo("CLOCKIN"), ;
                                       oClient:GetCargo("CLOCKOUT"), ;
                                       oClient:GetCargo("EXCEPTIONS"))

   Return


* aj toto potrebujem tu pre TimeClock_Raukn
//-----------------------------------------------------------------------------
STATIC FUNCTION isLoggedIn_Raukn()
   if Empty(ThreadObject():GetCargo("UID"))
      ThreadObject():CloseSession()
      FlashError("Najprv sa muste prihlsi...", "Login_Raukn.htm")
      Return .F.
   endif
   Return .T.

//-----------------------------------------------------------------------------
STATIC FUNCTION SaveTimeClock( nID, nAction )
   Local cTime := Left(Time(),5)

   OpenDBF( "EMPLOYEE", "EMP", "EMPLOYEE")
   OpenDBF( "TCLOCK"  , "TC" , "TCLOCK"  )

   if emp->(DbSeek(nID)) .and. emp->(LockRecord())
      do case
      case nAction == 1                // clock in
         if tc->(DbSeek(str(0,10))) .and. tc->(dbRLock())
            // recycle deleted record
         else
            tc->(dbAppend())
         endif
         tc->ID      := nID
         tc->DATE_IN := emp->DATE_IN := Date()
         tc->TIME_IN := emp->TIME_IN := cTime

      case nAction == 2                // clock out
         if tc->(DbSeek( STR(nID,10) + DTOS(emp->DATE_IN) + emp->TIME_IN ))
            if tc->(LockRecord())
               tc->DATE_OUT := emp->DATE_OUT := Date()
               tc->TIME_OUT := emp->TIME_OUT := cTime
            endif
         else
            tc->(dbAppend())
            tc->ID       := nID
            tc->DATE_IN  := emp->DATE_IN
            tc->TIME_IN  := emp->TIME_IN
            tc->DATE_OUT := emp->DATE_OUT := Date()
            tc->TIME_OUT := emp->TIME_OUT := cTime
         endif

      case nAction == 3                // cancel clock in
         if tc->(DbSeek( STR(nID,10) + DTOS(emp->DATE_IN) + emp->TIME_IN )) .and. tc->(LockRecord())
            tc->ID      := 0
            tc->DATE_IN := tc->DATE_OUT := ctod("")
            tc->TIME_IN := tc->TIME_OUT := ""
         endif
         emp->DATE_IN := ctod("")
         emp->TIME_IN := ""

      case nAction == 4                // cancel clock out
         if tc->(DbSeek( STR(nID,10) + DTOS(emp->DATE_IN) + emp->TIME_IN )) .and. tc->(LockRecord())
            tc->DATE_OUT := ctod("")
            tc->TIME_OUT := ""
         endif
         emp->DATE_OUT := ctod("")
         emp->TIME_OUT := ""

      endcase
   endif

   dbCLoseAll()

   Return cTime

* aj toto som musel upravi akoby boli dve verzie okna prchodov odchodov
* tu asi toto prve je rieenie e ke vyberiem nejak funkciu , tak jej nzov ide do hodnoty pre ACTION
* a alej sa potom vyhodnot v TimeClock
* tj. tu sa zobraz ponuka, a potom poda toho o kliknem sa odovzd hodnota (action) funkcii TimeClock ktor porovn v CASE a spracuje

* !!! Pozor, asi to m problm s diakritikou preto musm riei inak, napr. LAT_IBM a potom spracova
//-----------------------------------------------------------------------------
STATIC FUNCTION BuildTimeClockPage_Raukn( cName, cTimeIn, cTimeOut, cExceptions )
   Static cTemplate
   Local cHtml

   DEFAULT cTimeIn     TO ""
   DEFAULT cTimeOut    TO ""
   DEFAULT cExceptions TO ""

   if cTemplate == NIL
      TEXT INTO cTemplate TRIMMED
      <html>
      <head>
        <title>TimeClock</title>
        <style>
         td {font:normal 16px verdana; color:white; text-align:left;}
         td.head {font: bold 18px verdana; color:magenta; align:center; }
         td.foot {padding:20; color:yellow; align:center; }
         input {width:220px; font:bold 16px verdana; color:navy; text-align:left;}
         input.disabled {color:gray;}
        </style>
      </head>

      <body bgcolor=black>
        <table width=100% height=100%>
          <tr><td align=center>

          <table width=400 height=380 align=center style='background-color:#036;'>
            <tr><td valign=center>

            <table align=center>
              <tr><td class=head><%name%></td></tr>
              <tr><td><%date%><br><br></td></tr>

               <form name="tc" method="get" action="TimeClock_Raukn">
                 <input type=hidden name="_SID" value="<%sid%>">
                 <tr><td><input <%disabled%> type=submit name="action" value="Prchod" accesskey="I"></td><td>&nbsp;<%timein%></td></tr>
                 <tr><td><input type=submit name="action" value="Odchod" accesskey="O"></td><td>&nbsp;<%timeout%></td></tr>
                 <tr><td><input type=submit name="action" value="Zru posledn <%inout%>" accesskey="C"></td></tr>
                 <tr><td><input type=submit name="action" value="Zmena hesla" accesskey="P"></td></tr>
                 <tr><td><input type=submit name="action" value="Pozri pracovn tde" accesskey="V"></td></tr>
                 <tr><td><input type=submit name="action" value="Vyber katastrlne zemie" accesskey="V"></td></tr>
                 <tr><td><input type=submit name="action" value="Koniec" accesskey="X"></td></tr>
               </form>

            </table>
            </td></tr>

            <tr><td class=foot><%exceptions%></td></tr>

          </table>
          </td></tr>
        </table>
      </body>
      </html>
      ENDTEXT
   endif

   cHtml := StrTran(cTemplate, "<%sid%>"   , ThreadObject():GetSessionHandle(), 1, 1)
   cHtml := StrTran(cHtml, "<%name%>"      , cName, 1, 1)
   cHtml := StrTran(cHtml, "<%date%>"      , dtoc(date()), 1, 1)
   cHtml := StrTran(cHtml, "<%date%>"      , dtoc(date()), 1, 1)
   cHtml := StrTran(cHtml, "<%timein%>"    , cTimeIn, 1, 1)
   cHtml := StrTran(cHtml, "<%timeout%>"   , cTimeOut, 1, 1)
   cHtml := StrTran(cHtml, "<%exceptions%>", cExceptions, 1, 1)

   if empty(cTimeIn) .or. (!empty(cTimeOut) .and. cTimeOut > cTimeIn)
      cHtml := StrTran(cHtml, "<%disabled%>", "", 1, 1)
      cHtml := StrTran(cHtml, "<%inout%>", "Out", 1, 1)
   else
      cHtml := StrTran(cHtml, "<%disabled%>", "class=disabled disabled", 1, 1)
      cHtml := StrTran(cHtml, "<%inout%>", "In", 1, 1)
   endif

   Return cHtml

//----------------------------------------------------------------------------------------------------
STATIC FUNCTION LockRecord()
   Local i := 0

   for i := 1 to 10   // try for a max 5 sec
      if dbRLock()
         return .t.
      endif
      sleep( 50 )
   next

   dbCLoseAll()
   Break( "Unable to obtain record lock!" )  // unable to lock record -- this will cause an error to be returned to the client
   Return .f.

* toto je u zkladn horn menu funkci, hlavika , menu
//-----------------------------------------------------------------------------
WEBPROC Header_Raukn() PATH TC
   GETCARGO SECURITY AS nSecurity
   Static cTemplate
   Local cSID := oClient:GetSessionHandle()
   Local cLinks

   CHECKLOGIN	// toto iba skontroluje i je uvate prihlsen funkciou isLoggedIn_Raukn() a ak nie, ponkne prihlasovacie okno

   if Empty(nSecurity)
      oClient:SendFile( oClient:Parent:RootDir + "\TC\Login_Raukn.htm" )
      Return
   endif

   debug( "TC_Header: SID", oClient:GetSessionHandle(), "# Sess", xbSession():ActiveSessions(), "CARGO", oClient:GetCargo())

   if cTemplate == NIL
      TEXT INTO cTemplate TRIMMED
      <html>
      <head>
       <title>TimeClock*</title>
       <link rel="stylesheet" media="screen" type="text/css" href="/style.css">
       <style type="text/css">
       body {margin:0; background-color: yellow;}
       a.cold {text-decoration:none; color: navy;}
       a:visited {text-decoration:none; color: navy;}
       a.cold:hover {text-decoration:underline; color:red;}
       table {cell-padding:0;margin-top:0;padding:0;}
       td		{background-color: yellow; vertical-align:center;}
       td.link {padding-left:8; font-weight:bold; text-decoration:none; font-family:verdana,arial;}
       td.name {text-align:right; padding-left:5; padding-top:4; font-weight:bold; text-decoration:none; color:black; font-family:verdana,arial;}
       </style>
       </head>
      <body>

      <table width=99%>
        <tr>
         <td>
            <table width=680px>
              <tr>
              <%links%>
              </tr>
            </table>
         </td>
         <td class=name>Velektronic&nbsp;&nbsp;Company</td>
        </tr>
      </table>

      </body>
      </html>
      ENDTEXT
   endif

*qqq POZOR , table width 380px bolo mlo, treba pre viac poloiek menu irie, potrebn prepota na rku menu a poda fontu
* neviem kde sa nastavuje vekos fontu

* tu u sa pri vbere funkcie z hornho menu volaj alie funkcie
  cLinks := HeaderLink( "DOCHDZKA;IN/OUT", "TimeClock_Raukn", cSID )

   * zobrazenie poloky menu iba ak je admin
   if nSecurity >= SEC_ADMIN
      cLinks += HeaderLink( "REPORT", "Reports", cSID )
   endif

   cLinks += HeaderLink( "POMOC"      , "UnderConstruction('HELP')", cSID )
   cLinks += HeaderLink( "SKڊKA"     , "UnderConstruction('HELP')", cSID )
   cLinks += HeaderLink( "ODHLSENIE" , "Logout_Raukn", cSID )

   oClient:HTTPResponse:Content := StrTran(cTemplate, "<%links%>", cLinks, 1, 1)

   Return

* toto je pomocn funkcia, ktor vygeneruje html kd poda volania funkci vyie s parametrami 
//----------------------------------------------------------------------------------------------
STATIC FUNCTION HeaderLink( cDisplay, cFunction, cSID )
   Return '<td class=link><img src=/4dot.gif> <a href=' + cFunction +;
          '?_SID=' + cSID + ' class="cold" title="' + cDisplay +;
          '" target=main>' + cDisplay + '</a></td>'



**********************************
FUNCTION LAT_IBM(ptext)        // Funkcia pre odstranenie diakritiky z textu v LATIN-2
**********************************         // funkcne identicka s LAT_IBM z FoxPro CS Lib
* pvodn verzia pre DOS Latin 2 - CP852
*****************************************************
* potrebn pre dulne porovnvanie oboch kdovch strnok

LOCAL outriadok:="",pocet:=0,i:=0,znak:=0

pocet:=len(ptext)                && zistenie poctu znakov v riadku

* cyklus pre nacitavanie znakov a konvertovany zapis do vystupu
for i=1 to pocet

                znak:=asc(ptext[i])

*qqq prava pre obmedzenie konverzie iba pre znaky s diakritikou
if znak>127 .or. znak=42 .or. znak=63
                DO CASE
                CASE znak==128
                        znak:=67
                CASE znak==129
                        znak:=117
                CASE znak==130
                        znak:=101
                CASE znak==131
                        znak:=97
                CASE znak==132
                        znak:=97
                CASE znak==133
                        znak:=117
                CASE znak==134
                        znak:=99
                CASE znak==135
                        znak:=99
                CASE znak==136
                        znak:=108
                CASE znak==137
                        znak:=101
                CASE znak==138
                        znak:=79
                CASE znak==139
                        znak:=111
                CASE znak==140
                        znak:=105
                CASE znak==141
                        znak:=90
                CASE znak==142
                        znak:=65
                CASE znak==143
                        znak:=67
                CASE znak==144
                        znak:=69
                CASE znak==145
                        znak:=76
                CASE znak==146
                        znak:=108
                CASE znak==147
                        znak:=111
                CASE znak==148
                        znak:=111
                CASE znak==149
                        znak:=76
                CASE znak==150
                        znak:=108
                CASE znak==151
                        znak:=83
                CASE znak==152
                        znak:=115
                CASE znak==153
                        znak:=79
                CASE znak==154
                        znak:=85
                CASE znak==155
                        znak:=84
                CASE znak==156
                        znak:=116
                CASE znak==157
                        znak:=76
                CASE znak==158
                        znak:=120
                CASE znak==159
                        znak:=99
                CASE znak==160
                        znak:=97
                CASE znak==161
                        znak:=105
                CASE znak==162
                        znak:=111
                CASE znak==163
                        znak:=117
                CASE znak==164
                        znak:=65
                CASE znak==165
                        znak:=97
                CASE znak==166
                        znak:=90
                CASE znak==167
                        znak:=122
                CASE znak==168
                        znak:=69
                CASE znak==169
                        znak:=101
                CASE znak==170
                        znak:=32
                CASE znak==171
                        znak:=122
                CASE znak==172
                        znak:=67
                CASE znak==173
                        znak:=115
                CASE znak==181
                        znak:=65
                CASE znak==182
                        znak:=65
                CASE znak==183
                        znak:=69
                CASE znak==184
                        znak:=83
                CASE znak==189
                        znak:=90
                CASE znak==190
                        znak:=122
                CASE znak==198
                        znak:=65
                CASE znak==199
                        znak:=97
                CASE znak==207
                        znak:=46
                CASE znak==208
                        znak:=100
                CASE znak==209
                        znak:=68
                CASE znak==210
                        znak:=68
                CASE znak==211
                        znak:=69
                CASE znak==212
                        znak:=100
                CASE znak==213
                        znak:=78
                CASE znak==214
                        znak:=73
                CASE znak==215
                        znak:=73
                CASE znak==216
                        znak:=101
                CASE znak==221
                        znak:=84
                CASE znak==222
                        znak:=85
                CASE znak==224
                        znak:=79
                CASE znak==226
                        znak:=79
                CASE znak==227
                        znak:=78
                CASE znak==228
                        znak:=110
                CASE znak==229
                        znak:=110
                CASE znak==230
                        znak:=83
                CASE znak==231
                        znak:=115
                CASE znak==232
                        znak:=82
                CASE znak==233
                        znak:=85
                CASE znak==234
                        znak:=114
                CASE znak==235
                        znak:=85
                CASE znak==236
                        znak:=121
                CASE znak==237
                        znak:=89
                CASE znak==238
                        znak:=116
                CASE znak==239
                        znak:=46
                CASE znak==240
                        znak:=46
                CASE znak==241
                        znak:=46
                CASE znak==242
                        znak:=46
                CASE znak==243
                        znak:=46
                CASE znak==244
                        znak:=46
                CASE znak==245
                        znak:=173
                CASE znak==247
                        znak:=46
                CASE znak==248
                        znak:=46
                CASE znak==249
                        znak:=46
                CASE znak==251
                        znak:=117
                CASE znak==252
                        znak:=82
                CASE znak==253
                        znak:=114
                * doplnenie spracovania aj wildcard pre hladtext iba
                ** hviezdika *
                CASE znak==42
                        znak:=42
                ** otznik ?
                CASE znak==63
                        znak:=63
                ENDCASE
endif
                outriadok+=chr(znak)
next

RETURN outriadok

*optim3 - prava pre optimalizovan verziu lat_ibm
**********************************
FUNCTION LAT_IBM_O(ptext)        // Funkcia pre odstranenie diakritiky z textu v LATIN-2	- optimalizovan z array
**********************************         // funkcne identicka s LAT_IBM z FoxPro CS Lib
* pvodn verzia pre DOS Latin 2 - CP852
*****************************************************
* potrebn pre dulne porovnvanie oboch kdovch strnok

LOCAL outriadok:="",pocet:=0,i:=0,znak:=0
LOCAL znaku:=0

* znaka[] zadefinovan v DEFINUJ_LAT_IBM_O 

pocet:=len(ptext)                && zistenie poctu znakov v riadku

* cyklus pre nacitavanie znakov a konvertovany zapis do vystupu
for i=1 to pocet

	znak:=asc(ptext[i])

	*qqq prava pre obmedzenie konverzie iba pre znaky s diakritikou
	if znak>127

*qqq 15.6.2018 prava, optimalizcia
*		znaku:=znaka[znak]
                outriadok+=chr(znaka[znak])

	** hviezdika *
	elseif znak=42

*qqq 15.6.2018 prava, optimalizcia
*		znaku:=42
                outriadok+=chr(42)

        ** otznik ?
	elseif znak=63 

*qqq 15.6.2018 prava, optimalizcia
*		znaku:=63
                outriadok+=chr(63)
	else

*qqq 15.6.2018 prava, optimalizcia
*		znaku:=znak
                outriadok+=chr(znak)

	endif

*qqq 15.6.2018 prava, optimalizcia
*                outriadok+=chr(znaku)

next

RETURN outriadok

***************************************
FUNCTION LAT_IBM_U(ptext)                 // Funkcia pre odstranenie diakritiky z textu v LATIN-2
***************************************
* upraven pre Windows CE,EE CP1250
**************************************************
* Prekdovanie je poda tabuku Windows CE, EE CP1250 do kdov bez diakritiky
* zkladn ASCII ktor je spolon pre vetky kdov strnky od chr 0 do 127

LOCAL outriadok:=space(0),pocet:=0,i:=0,znak:=0

pocet:=len(ptext)                && zistenie poctu znakov v riadku

* cyklus pre nacitavanie znakov a konvertovany zapis do vystupu
for i=1 to pocet
                znak:=asc(ptext[i])

                * prekduje znaky s diakritikou do kdov bez
                * ostatn nevyuit kdy nech tak
*qqq prava pre obmedzenie konverzie iba pre znaky s diakritikou
if znak>127
                DO CASE
*                CASE znak==128
*                        znak:=67
*                CASE znak==129
*                        znak:=117
*                CASE znak==130
*                        znak:=101
*                CASE znak==131
*                        znak:=97
*                CASE znak==132
*                        znak:=97
*                CASE znak==133
*                        znak:=117
*                CASE znak==134
*                        znak:=99
*                CASE znak==135
*                        znak:=99
*                CASE znak==136
*                        znak:=108
*                CASE znak==137
*                        znak:=101
                * 
                CASE znak==138
                        znak:=83
*                CASE znak==139
*                        znak:=111
*                CASE znak==140
*                        znak:=105
                * 
                CASE znak==141
                        znak:=84
                * 
                CASE znak==142
                        znak:=90
*                CASE znak==143
*                        znak:=67
*                CASE znak==144
*                        znak:=69
*                CASE znak==145
*                        znak:=76
*                CASE znak==146
*                        znak:=108
*                CASE znak==147
*                        znak:=111
*                CASE znak==148
*                        znak:=111
*                CASE znak==149
*                        znak:=76
*                CASE znak==150
*                        znak:=108
*                CASE znak==151
*                        znak:=83
*                CASE znak==152
*                        znak:=115
*                CASE znak==153
*                        znak:=79
                * 
                CASE znak==154
                        znak:=115
*                CASE znak==155
*                        znak:=84
*                CASE znak==156
*                        znak:=116
                * 
                CASE znak==157
                        znak:=116
                * 
                CASE znak==158
                        znak:=122
*                CASE znak==159
*                        znak:=99
*                CASE znak==160
*                        znak:=97
*                CASE znak==161
*                        znak:=105
*                CASE znak==162
*                        znak:=111
*                CASE znak==163
*                        znak:=117
*                CASE znak==164
*                        znak:=65
*                CASE znak==165
*                        znak:=97
*                CASE znak==166
*                        znak:=90
*                CASE znak==167
*                        znak:=122
*                CASE znak==168
*                        znak:=69
*                CASE znak==169
*                        znak:=101
*                CASE znak==170
*                        znak:=32
*                CASE znak==171
*                        znak:=122
*                CASE znak==172
*                        znak:=67
*                CASE znak==173
*                        znak:=115
*                CASE znak==174
*                        znak:=115
*                CASE znak==175
*                        znak:=115
*                CASE znak==176
*                        znak:=115
*                CASE znak==177
*                        znak:=115
*                CASE znak==178
*                        znak:=115
*                CASE znak==179
*                        znak:=115
*                CASE znak==180
*                        znak:=115
*                CASE znak==181
*                        znak:=65
*                CASE znak==182
*                        znak:=65
*                CASE znak==183
*                        znak:=69
*                CASE znak==184
*                        znak:=83
*                CASE znak==185
*                        znak:=83
*                CASE znak==186
*                        znak:=83
*                CASE znak==187
*                        znak:=83
                * 
                CASE znak==188
                        znak:=76
*                CASE znak==189
*                        znak:=90
                * 
                CASE znak==190
                        znak:=108
*                CASE znak==191
*                        znak:=108
                * 
                CASE znak==192
                        znak:=82
                * 
                CASE znak==193
                        znak:=65
*                CASE znak==194
*                        znak:=108
*                CASE znak==195
*                        znak:=108
                * A irok
                CASE znak==196
                        znak:=65
                * 
                CASE znak==197
                        znak:=76
*                CASE znak==198
*                        znak:=65
*                CASE znak==199
*                        znak:=97
                * 
                CASE znak==200
                        znak:=67
                * 
                CASE znak==201
                        znak:=69
*                CASE znak==202
*                        znak:=46
                * E s dvoma bodkami
                CASE znak==203
                        znak:=69
                * 
                CASE znak==204
                        znak:=69
                * 
                CASE znak==205
                        znak:=73
*                CASE znak==206
*                        znak:=46
                * 
                CASE znak==207
                        znak:=68
*                CASE znak==208
*                        znak:=100
*                CASE znak==209
*                        znak:=68
                * 
                CASE znak==210
                        znak:=78
                * 
                CASE znak==211
                        znak:=79
                * O s vkaom
                CASE znak==212
                        znak:=79
                * O s dvoma iarkami
                CASE znak==213
                        znak:=79
                * O s dvoma bodkami
                CASE znak==214
                        znak:=79
*                CASE znak==215
*                        znak:=73
                * 
                CASE znak==216
                        znak:=82
                * U s krkom
                CASE znak==217
                        znak:=85
                * 
                CASE znak==218
                        znak:=85
                * U s dvoma iarkami
                CASE znak==219
                        znak=85
                * U s dvoma bodkami
                CASE znak==220
                        znak:=85
                * 
                CASE znak==221
                        znak:=89
*                CASE znak==222
*                        znak:=85
*                CASE znak==223
*                        znak:=85
                * 
                CASE znak==224
                        znak:=114
                * 
                CASE znak==225
                        znak:=97
*                CASE znak==226
*                        znak:=79
*                CASE znak==227
*                        znak:=78
                * 
                CASE znak==228
                        znak:=97
                * 
                CASE znak==229
                        znak:=108
*                CASE znak==230
*                        znak:=83
*                CASE znak==231
*                        znak:=115
                * 
                CASE znak==232
                        znak:=99
                * 
                CASE znak==233
                        znak=101
*                CASE znak==234
*                        znak:=114
*                CASE znak==235
*                        znak:=85
                * 
                CASE znak==236
                        znak:=101
                * 
                CASE znak==237
                        znak:=105
*                CASE znak==238
*                        znak:=116
                * 
                CASE znak==239
                        znak:=100
*                CASE znak==240
*                        znak:=46
*                CASE znak==241
*                        znak:=46
                * 
                CASE znak==242
                        znak:=110
                * 
                CASE znak==243
                        znak:=111
                * 
                CASE znak==244
                        znak=111
                * o s dvoma iarkami
                CASE znak==245
                        znak:=111
                * o s dvoma bodkami
                CASE znak==246
                        znak:=111
*                CASE znak==247
*                        znak:=46
                * 
                CASE znak==248
                        znak:=114
                * u s krkom
                CASE znak==249
                        znak:=117
                * 
                CASE znak==250
                        znak:=117
                * u s dvoma iarkami
                CASE znak==251
                        znak:=117
                * u s dvoma bodkami
                CASE znak==252
                        znak:=117
                * 
                CASE znak==253
                        znak:=121
*                CASE znak==254
*                        znak:=114
*                CASE znak==255
*                        znak:=114
                ENDCASE
endif
                outriadok+=chr(znak)
next

RETURN outriadok

*qqq optim3
***************************************
FUNCTION LAT_IBM_U_O(ptext)                 // Funkcia pre odstranenie diakritiky z textu v LATIN-2	- optimalizovan z array
***************************************
* upraven pre Windows CE,EE CP1250
**************************************************
* Prekdovanie je poda tabuku Windows CE, EE CP1250 do kdov bez diakritiky
* zkladn ASCII ktor je spolon pre vetky kdov strnky od chr 0 do 127

LOCAL outriadok:=space(0),pocet:=0,i:=0,znak:=0
LOCAL znakuu:=0

* znakau[] zadefinovan v DEFINUJ_LAT_IBM_U_O 

pocet:=len(ptext)                && zistenie poctu znakov v riadku

*if pocet!=0		// doplnkov kontrola na przdny text

* cyklus pre nacitavanie znakov a konvertovany zapis do vystupu
for i=1 to pocet

	znak:=asc(ptext[i])

	*qqq prava pre obmedzenie konverzie iba pre znaky s diakritikou
	if znak>127

*qqq 15.6.2018 prava
*		znakuu:=znakau[znak]
*	        outriadok+=chr(znakuu)		// tu presvam odlin spracovanie znakov >127

		outriadok+=chr(znakau[znak])	

	else


*qqq 15.6.2018 prava
*		znakuu:=znak
*	        outriadok+=ptext[i]		// tu presvam odlin spracovanie znakov <=127

		outriadok+=ptext[i]

	endif

*        outriadok+=chr(znakuu)			// tu blokujem a presvam odlin spracovanie znakov vyie
next

*endif

RETURN outriadok

***************************
FUNCTION DEFINUJ_LAT_IBM_O		// konverzn pole pre LAT_IBM_O CP822 na IBM
***************************
PUBLIC znaka[255]

*definovanie array znakov pozor vetky musm
znaka[128]:=67
znaka[129]:=117
znaka[130]:=101
znaka[131]:=97
znaka[132]:=97
znaka[133]:=117
znaka[134]:=99
znaka[135]:=99
znaka[136]:=108
znaka[137]:=101
znaka[138]:=79
znaka[139]:=111
znaka[140]:=105
znaka[141]:=90
znaka[142]:=65
znaka[143]:=67
znaka[144]:=69
znaka[145]:=76
znaka[146]:=108
znaka[147]:=111
znaka[148]:=111
znaka[149]:=76
znaka[150]:=108
znaka[151]:=83
znaka[152]:=115
znaka[153]:=79
znaka[154]:=85
znaka[155]:=84
znaka[156]:=116
znaka[157]:=76
znaka[158]:=120
znaka[159]:=99
znaka[160]:=97
znaka[161]:=105
znaka[162]:=111
znaka[163]:=117
znaka[164]:=65
znaka[165]:=97
znaka[166]:=90
znaka[167]:=122
znaka[168]:=69
znaka[169]:=101
znaka[170]:=32
znaka[171]:=122
znaka[172]:=67
znaka[173]:=115
znaka[174]:=174
znaka[175]:=175
znaka[176]:=176
znaka[177]:=177
znaka[178]:=178
znaka[179]:=179
znaka[180]:=180
znaka[181]:=65
znaka[182]:=65
znaka[183]:=69
znaka[184]:=83
znaka[185]:=185
znaka[186]:=186
znaka[187]:=187
znaka[188]:=188
znaka[189]:=90
znaka[190]:=122
znaka[191]:=191
znaka[192]:=192
znaka[193]:=193
znaka[194]:=194
znaka[195]:=195
znaka[196]:=196
znaka[197]:=197
znaka[198]:=65
znaka[199]:=97
znaka[200]:=200
znaka[201]:=201
znaka[202]:=202
znaka[203]:=203
znaka[204]:=204
znaka[205]:=205
znaka[206]:=206
znaka[207]:=46
znaka[208]:=100
znaka[209]:=68
znaka[210]:=68
znaka[211]:=69
znaka[212]:=100
znaka[213]:=78
znaka[214]:=73
znaka[215]:=73
znaka[216]:=101
znaka[217]:=217
znaka[218]:=218
znaka[219]:=219
znaka[220]:=220
znaka[221]:=84
znaka[222]:=85
znaka[223]:=223
znaka[224]:=79
znaka[225]:=225
znaka[226]:=79
znaka[227]:=78
znaka[228]:=110
znaka[229]:=110
znaka[230]:=83
znaka[231]:=115
znaka[232]:=82
znaka[233]:=85
znaka[234]:=114
znaka[235]:=85
znaka[236]:=121
znaka[237]:=89
znaka[238]:=116
znaka[239]:=46
znaka[240]:=46
znaka[241]:=46
znaka[242]:=46
znaka[243]:=46
znaka[244]:=46
znaka[245]:=173
znaka[246]:=246
znaka[247]:=46
znaka[248]:=46
znaka[249]:=46
znaka[250]:=250
znaka[251]:=117
znaka[252]:=82
znaka[253]:=114
znaka[254]:=254
znaka[255]:=255
Return nil

*****************************
FUNCTION DEFINUJ_LAT_IBM_U_O		// konverzn pole pre LAT_IBM_U_O W1250 na IBM
*****************************
PUBLIC znakau[255]

*definovanie array znakov pozor vetky musm
znakau[128]:=128
znakau[129]:=129
znakau[130]:=130
znakau[131]:=131
znakau[132]:=132
znakau[133]:=133
znakau[134]:=134
znakau[135]:=135
znakau[136]:=136
znakau[137]:=137
znakau[138]:=83
znakau[139]:=139
znakau[140]:=140
znakau[141]:=84
znakau[142]:=90
znakau[143]:=143
znakau[144]:=144
znakau[145]:=145
znakau[146]:=146
znakau[147]:=147
znakau[148]:=148
znakau[149]:=149
znakau[150]:=150
znakau[151]:=151
znakau[152]:=152
znakau[153]:=153
znakau[154]:=115
znakau[155]:=155
znakau[156]:=156
znakau[157]:=116
znakau[158]:=122
znakau[159]:=159
znakau[160]:=160
znakau[161]:=161
znakau[162]:=162
znakau[163]:=163
znakau[164]:=164
znakau[165]:=165
znakau[166]:=166
znakau[167]:=167
znakau[168]:=168
znakau[169]:=169
znakau[170]:=170
znakau[171]:=171
znakau[172]:=172
znakau[173]:=173
znakau[174]:=174
znakau[175]:=175
znakau[176]:=176
znakau[177]:=177
znakau[178]:=178
znakau[179]:=179
znakau[180]:=180
znakau[181]:=181
znakau[182]:=182
znakau[183]:=183
znakau[184]:=184
znakau[185]:=185
znakau[186]:=186
znakau[187]:=187
znakau[188]:=76
znakau[189]:=189
znakau[190]:=108
znakau[191]:=191
znakau[192]:=82
znakau[193]:=65
znakau[194]:=194
znakau[195]:=195
znakau[196]:=65
znakau[197]:=76
znakau[198]:=198
znakau[199]:=199
znakau[200]:=67
znakau[201]:=69
znakau[202]:=202
znakau[203]:=69
znakau[204]:=69
znakau[205]:=73
znakau[206]:=206
znakau[207]:=68
znakau[208]:=208
znakau[209]:=209
znakau[210]:=78
znakau[211]:=79
znakau[212]:=79
znakau[213]:=79
znakau[214]:=79
znakau[215]:=215
znakau[216]:=82
znakau[217]:=85
znakau[218]:=85
znakau[219]:=85
znakau[220]:=85
znakau[221]:=89
znakau[222]:=222
znakau[223]:=223
znakau[224]:=114
znakau[225]:=97
znakau[226]:=226
znakau[227]:=227
znakau[228]:=97
znakau[229]:=108
znakau[230]:=230
znakau[231]:=231
znakau[232]:=99
znakau[233]:=101
znakau[234]:=234
znakau[235]:=235
znakau[236]:=101
znakau[237]:=105
znakau[238]:=238
znakau[239]:=100
znakau[240]:=240
znakau[241]:=241
znakau[242]:=110
znakau[243]:=111
znakau[244]:=111
znakau[245]:=111
znakau[246]:=111
znakau[247]:=247
znakau[248]:=114
znakau[249]:=117
znakau[250]:=117
znakau[251]:=117
znakau[252]:=117
znakau[253]:=121
znakau[254]:=254
znakau[255]:=255

Return nil
